﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;
using System.Threading;
using System.IO;
using System.Runtime.InteropServices;



namespace VirtualPrinter_Client_Sample
{

    public partial class Program:System.Windows.Forms.NativeWindow
    {
  
        public static MainForm mainform = new MainForm();
        public static String PathToINI;

        public static long MessageID = 32768; // For strings received through WM_COPYDATA

        /// <summary>
        /// Entry point to the application.
        /// </summary>
        /// <param name="args">Arguments that came from command line.</param>
        [STAThread]
        static void Main(String[] args)
        {
            if (args.Length == 0)
            {
                Thread ClientThread = new Thread(PipeServer.ServerStart); // defining new thread to launch pipe server.
                ClientThread.IsBackground = true; // pipe server's thread will shuts down with main thread of application.
                ClientThread.Start();

                Application.EnableVisualStyles();
                Application.Run(mainform);
            }
            else
            {
                Program.PathToINI = args[0];

                Thread CommandLineThread = new Thread(CommandLineHandler.StartHandler);
                CommandLineThread.IsBackground = true;
                CommandLineThread.Start();

                Application.EnableVisualStyles();
                Application.Run(mainform);
            }
        }
    }
}
